# AreaShopListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class AreaShopListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.AreaShopListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class AreaShopListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`AreaShopListener(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onRegionDeleted(me.wiefferink.areashop.events.notify.DeletedRegionEvent e)`
`void` `onRegionResold(me.wiefferink.areashop.events.notify.ResoldRegionEvent e)`
`void` `onRegionSold(me.wiefferink.areashop.events.notify.SoldRegionEvent e)`
`void` `onRegionUnrented(me.wiefferink.areashop.events.notify.UnrentedRegionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AreaShopListener

    public AreaShopListener(ShopChest plugin)

### Method Detail

#### onRegionDeleted

    public void onRegionDeleted(me.wiefferink.areashop.events.notify.DeletedRegionEvent e)

#### onRegionUnrented

    public void onRegionUnrented(me.wiefferink.areashop.events.notify.UnrentedRegionEvent e)

#### onRegionResold

    public void onRegionResold(me.wiefferink.areashop.events.notify.ResoldRegionEvent e)

#### onRegionSold

    public void onRegionSold(me.wiefferink.areashop.events.notify.SoldRegionEvent e)